org.eclnt.jsfserver.defaultscreens

## Class DefaultPopupPersistence

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.DefaultPopupPersistence

- All Implemented Interfaces:
    IPopupPersistence

      public class DefaultPopupPersistence
      extends java.lang.Object
      implements IPopupPersistence

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.defaultscreens.IPopupPersistence

      `IPopupPersistence.PersistentInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPopupPersistence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPopupPersistence.PersistentInfo` | `readPersistentInfo(FacesContext context, BasePopup popup, java.lang.String persistId)`
    `void` | `updatePersistentInfo(FacesContext context, BasePopup popup, java.lang.String persistId, IPopupPersistence.PersistentInfo persistentInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPopupPersistence

          public DefaultPopupPersistence()

  - ### Method Detail

    - #### readPersistentInfo

          public IPopupPersistence.PersistentInfo readPersistentInfo(FacesContext context,
                                                                     BasePopup popup,
                                                                     java.lang.String persistId)

      Specified by:
        `readPersistentInfo` in interface `IPopupPersistence`

    - #### updatePersistentInfo

          public void updatePersistentInfo(FacesContext context,
                                           BasePopup popup,
                                           java.lang.String persistId,
                                           IPopupPersistence.PersistentInfo persistentInfo)

      Specified by:
        `updatePersistentInfo` in interface `IPopupPersistence`

Copyright © CaptainCasa Gmbh. All Rights Reserved.